Subject: MPC512x: fsldma for UART FIFO

From: Matteo Fortini <[email-masked]>
Date: Wed, 03 Dec 2008 16:07:20 +0100

I'm trying to use DMA to take data from the rx FIFO of a PSC and store 
it in a buffer.

I had to change the off_to_size function, because it assumed that if 
offset would be 0, then size would be 32bits, while I need to read 8 
bits at a time, otherwise the FIFO wouldn't work correctly.

Has anyone worked with MPC512x DMA? Unfortunately, the other DMA 
drivers, which are IDE and PCM sound, both use 32bits accesses.

Changing fsldma to use 0 size works, but DMA seems to give back wrong data.

Thanks,
M